package solitaire;

class Main {
    private static Stock stock = new Stock();
    private static Waste waste = new Waste();

    private static void printTable() {
	System.out.printf("%s   %s\n", stock, waste);
    }

    public static void main(String[] args) {
	Card c;

	while (!stock.isEmpty()) {
	    printTable();

	    c = stock.draw();
	    c.reveal();
	    waste.add(c);
	}

	printTable();
    }

}
